Bug 1025419 - GCC needs minor rebase for RHEL7 beta
GCC needs minor rebase for RHEL7 beta
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gcc (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: 7.0
Assigned To: Jakub Jelinek
qe-baseos-tools
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 12:10 EDT by Marek Polacek
Modified: 2014-06-17 21:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: gcc-4.8.2-3.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:07:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Polacek 2013-10-31 12:10:16 EDT
To fix various important issues, e.g. #1025072, we'll need to rebase GCC in beta.
For that, we'll need this BZ to be acked.
Comment 4 Jakub Jelinek 2013-11-05 05:02:26 EST
Note, apparently the #1025072 fix actually already made into gcc-4.8.2-2.el7, but there are other libstdc++ fixes that have not, plus I'm right now waiting on review of my fix for silent wrong code http://gcc.gnu.org/PR58984 (and maybe PR58970 and/or PR58994).
Comment 7 Dagmar Prokopová 2013-12-26 06:57:15 EST
New tests in the internal testsuite passed. Verified for gcc-4.8.2-7.el7.
Comment 8 Ludek Smid 2014-06-13 08:07:30 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.